Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class HTMLServerImageHandler

    java.lang.Object
      org.eclipse.birt.report.engine.api.HTMLImageHandler
          org.eclipse.birt.report.engine.api.HTMLServerImageHandler

All Implemented Interfaces:
  IHTMLImageHandler

    public class HTMLServerImageHandler

extends HTMLImageHandler

Default implementation for writing images in a form that is used in a web-application.

Field Summary
`protected java.util.logging.Logger` | `log`

Constructor Summary
`HTMLServerImageHandler()` dummy constructor

Method Summary
`protected java.lang.String` | `createUniqueFileName(java.lang.String imageDir, java.lang.String prefix)` returns a unique file name based on a directory and name prefix
`protected java.lang.String` | `createUniqueFileName(java.lang.String imageDir, java.lang.String prefix, java.lang.String postfix)` creates a unique tempoary file to store an image
`void` | `getImage(java.io.OutputStream out, java.lang.String imageDir, java.lang.String imageID)` get image
`protected java.lang.String` | `getImageMapID(IImage image)` returns the unique identifier for the image
`protected java.lang.String` | `handleImage(IImage image, java.lang.Object context, java.lang.String prefix, boolean needMap)` handles an image report item and returns an image URL
`protected java.lang.String` | `handleTempImage(IImage image, java.lang.String prefix, boolean needMap)` Handle a temporary image .
`java.lang.String` | `onCustomImage(IImage image, java.lang.Object context)` Deprecated.
`java.lang.String` | `onDesignImage(IImage image, java.lang.Object context)` Deprecated.
`java.lang.String` | `onDocImage(IImage image, java.lang.Object context)` Deprecated.
`java.lang.String` | `onFileImage(IImage image, java.lang.Object context)` Deprecated.
`java.lang.String` | `onURLImage(IImage image, java.lang.Object context)` Deprecated.

Methods inherited from class org.eclipse.birt.report.engine.api.HTMLImageHandler
`addCachedImage, getCachedImage, getRenderContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected java.util.logging.Logger log

Constructor Detail

### HTMLServerImageHandler

    public HTMLServerImageHandler()

  dummy constructor

Method Detail

### onDesignImage

    public java.lang.String onDesignImage(IImage image,
                                          java.lang.Object context)

  Deprecated.

  (non-Javadoc)

  Specified by:
    `onDesignImage` in interface `IHTMLImageHandler`
  Overrides:
    `onDesignImage` in class `HTMLImageHandler`
  Parameters:
    `image` - the image definition object
    `context` - the context for generating the URL
  Returns:
    the URL for the image
  See Also:
    `org.eclipse.birt.report.engine.api2.IHTMLImageHandler#onDesignImage(org.eclipse.birt.report.engine.api2.IImage, java.lang.Object)`

### onDocImage

    public java.lang.String onDocImage(IImage image,
                                       java.lang.Object context)

  Deprecated.

  (non-Javadoc)

  Specified by:
    `onDocImage` in interface `IHTMLImageHandler`
  Overrides:
    `onDocImage` in class `HTMLImageHandler`
  Parameters:
    `image` - the image definition object
    `context` - the context for generating the URL
  Returns:
    the URL for the image
  See Also:
    `org.eclipse.birt.report.engine.api2.IHTMLImageHandler#onDocImage(org.eclipse.birt.report.engine.api2.IImage, java.lang.Object)`

### onURLImage

    public java.lang.String onURLImage(IImage image,
                                       java.lang.Object context)

  Deprecated.

  (non-Javadoc)

  Specified by:
    `onURLImage` in interface `IHTMLImageHandler`
  Overrides:
    `onURLImage` in class `HTMLImageHandler`
  Parameters:
    `image` - the image definition object
    `context` - the context for generating the URL
  Returns:
    the URL for the image
  See Also:
    `org.eclipse.birt.report.engine.api2.IHTMLImageHandler#onURLImage(org.eclipse.birt.report.engine.api2.IImage, java.lang.Object)`

### onCustomImage

    public java.lang.String onCustomImage(IImage image,
                                          java.lang.Object context)

  Deprecated.

  (non-Javadoc)

  Specified by:
    `onCustomImage` in interface `IHTMLImageHandler`
  Overrides:
    `onCustomImage` in class `HTMLImageHandler`
  Parameters:
    `image` - the image definition object
    `context` - the context for generating the URL
  Returns:
    the URL for the image
  See Also:
    `org.eclipse.birt.report.engine.api2.IHTMLImageHandler#onCustomImage(org.eclipse.birt.report.engine.api2.IImage, java.lang.Object)`

### createUniqueFileName

    protected java.lang.String createUniqueFileName(java.lang.String imageDir,
                                                    java.lang.String prefix)

  returns a unique file name based on a directory and name prefix

  Parameters:
    `imageDir` - directory to store the image
    `prefix` - prefix for the file name
  Returns:
    a file name

### createUniqueFileName

    protected java.lang.String createUniqueFileName(java.lang.String imageDir,
                                                    java.lang.String prefix,
                                                    java.lang.String postfix)

  creates a unique tempoary file to store an image

  Parameters:
    `imageDir` - directory to put image into
    `prefix` - file name prefix
    `postfix` - file name postfix
  Returns:
    a Java File Object

### onFileImage

    public java.lang.String onFileImage(IImage image,
                                        java.lang.Object context)

  Deprecated.

  (non-Javadoc)

  Specified by:
    `onFileImage` in interface `IHTMLImageHandler`
  Overrides:
    `onFileImage` in class `HTMLImageHandler`
  Parameters:
    `image` - the image definition object
    `context` - the context for generating the URL
  Returns:
    the URL for the image
  See Also:
    `org.eclipse.birt.report.engine.api2.IHTMLImageHandler#onFileImage(org.eclipse.birt.report.engine.api2.IImage, java.lang.Object)`

### handleImage

    protected java.lang.String handleImage(IImage image,
                                           java.lang.Object context,
                                           java.lang.String prefix,
                                           boolean needMap)

  handles an image report item and returns an image URL

  Parameters:
    `image` - represents the image design information
    `context` - context information
    `prefix` - image prefix in URL
    `needMap` - whether image map is needed
  Returns:
    URL for the image

### handleTempImage

    protected java.lang.String handleTempImage(IImage image,
                                               java.lang.String prefix,
                                               boolean needMap)

  Handle a temporary image .

  Parameters:
    `image` - represents the image design information
    `prefix` - image prefix in URL
    `needMap` - whether image map is needed
  Returns:

### getImageMapID

    protected java.lang.String getImageMapID(IImage image)

  returns the unique identifier for the image

  Parameters:
    `image` - the image object
  Returns:
    the image id

### getImage

    public void getImage(java.io.OutputStream out,
                         java.lang.String imageDir,
                         java.lang.String imageID)
                  throws EngineException

  get image

  Parameters:
    `out` - the output stream of image
    `imageDir` - the image directory
    `imageID` - id of image
  Throws:
    `java.io.IOException`
    `EngineException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.